<div class="test-label">
    <span class="test-label__item no-animate"
        ng-if="!$ctrl.isLink">
        <span class="test-label__item-icon"
            ng-if="$ctrl.displayIcon"
            ng-class="{
                _testrail: $ctrl.isTestRailLabel,
                _qtest: $ctrl.isQTestLabel,
                _xray: $ctrl.isXRayLabel
            }"></span>
        <span class="test-label__item-key" ng-if="!$ctrl.displayIcon">{{::$ctrl.testLabel.key}}:</span>
        <span class="test-label__item-value">{{::$ctrl.labelValue}}</span>
    </span>
    <md-menu ng-if="$ctrl.isTestRailLink" md-offset="{{$ctrl.mdOffset}}">
        <a name="testRailLink"
            class="test-label__item _link no-animate gtm-testRail-label"
            ng-click="$ctrl.openTestRailInfo($event, $mdMenu, $ctrl.getTestURL('TESTRAIL_URL', $ctrl.testLabel.value))">
            <span class="test-label__item-icon _testrail"></span>
            <span class="test-label__item-value">{{::$ctrl.labelValue}}</span>
        </a>
        <md-menu-content class="test-label__preview"
            ng-class="{ _loader: $ctrl.loadingTestRailData }">
            <test-rail-preview loading-data="$ctrl.loadingTestRailData"
                loading-status="$ctrl.loadingTestRailStatus"
                test-rail-data="$ctrl.testRailData"
                test-label="::$ctrl.testLabel"
                test-url="::$ctrl.getTestURL('TESTRAIL_URL', $ctrl.testLabel.value)"></test-rail-preview>
        </md-menu-content>
    </md-menu>
    <a name="qTestLink" class="test-label__item _link no-animate gtm-qtest-label"
        href="{{::$ctrl.getTestURL('QTEST_URL', $ctrl.testLabel.value)}}"
        target="_blank"
        ng-if="$ctrl.isQTestLink">
        <span class="test-label__item-icon _qtest"></span>
        <span class="test-label__item-value">{{::$ctrl.labelValue}}</span>
    </a>
    <a name="xRayLink" class="test-label__item _link no-animate"
        href="{{::$ctrl.getTestURL('XRAY_URL', $ctrl.testLabel.value)}}"
        target="_blank"
        ng-if="$ctrl.isXRayLink">
        <span class="test-label__item-icon _xray"></span>
        <span class="test-label__item-value">{{::$ctrl.labelValue}}</span>
    </a>
</div>
